Bug 1311862 - Could not get IPv6 address when start an ethernet interface wtih DHCP IPv6
Could not get IPv6 address when start an ethernet interface wtih DHCP IPv6
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ján Tomko
Jingjing Shao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 03:49 EST by Jingjing Shao
Modified: 2017-04-05 10:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jingjing Shao 2016-02-25 03:49:01 EST
Description of problem:
Could not get IPv6 address when start an ethernet interface wtih DHCP IPv6

PKG
OS-rhel7.2
libvirt-1.3.1-1.el7.x86_64
netcf-0.2.8-1.el7.x86_64

How reproducible:
100%

Setup
1. Locate a system which has IPv6 system
2.save the config file of eno1
# cp /etc/sysconfig/network-scritps/ifcfg-eno1 /tmp

3. After the following test step is finished, please copy the ifcfg-eno1
back, and restart network to restore netowrk.


Steps to Reproduce:
0.[root@hp-dl120gen9-02 backup]# ifconfig
eno1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 10.16.64.108  netmask 255.255.248.0  broadcast 10.16.71.255
        inet6 2620:52:0:1040:9657:a5ff:fec4:82e7  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::9657:a5ff:fec4:82e7  prefixlen 64  scopeid 0x20<link>
        ether 94:57:a5:c4:82:e7  txqueuelen 1000  (Ethernet)
        RX packets 735547  bytes 67479371 (64.3 MiB)
        RX errors 0  dropped 7  overruns 0  frame 0
        TX packets 5023  bytes 1360292 (1.2 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device memory 0x92d00000-92dfffff  


1. [root@hp-dl120gen9-02 jishao]# cat ipv6-autoconf.xml
<interface type='ethernet' name='eno1'>
<start mode='onboot'/>
<protocol family='ipv6'>
<autoconf/>
</protocol>
</interface>

2.[root@hp-dl120gen9-02 jishao]# service NetworkManager status
Redirecting to /bin/systemctl status NetworkManager.service
● NetworkManager.service - Network Manager
Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; enabled; vendor preset: enabled)
Active: inactive (dead) since Wed 2016-02-17 14:22:01 CST; 23min ago
Process: 10425 ExecStart=/usr/sbin/NetworkManager --no-daemon (code=exited, status=0/SUCCESS)


3.[root@hp-dl120gen9-02 jishao]# virsh iface-define ipv6-autoconf.xml
Interface eno1 defined from ipv6-autoconf.xml

4.[root@hp-dl120gen9-02 jishao]# virsh iface-start eno1
[30897.703411] IPv6: ADDRCONF(NETDEV_UP): eno1: link is not ready
error: Failed to start interface eno1
error: internal error: failed to create (start) interface eno1: unspecified error - interface eno1 failed to become active - possible disconnected cable.

[root@hp-dl120gen9-02 jishao]# [30901.812105] igb 0000:02:00.0 eno1: igb: eno1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[30901.855954] IPv6: ADDRCONF(NETDEV_CHANGE): eno1: link becomes ready


5.[root@hp-dl120gen9-02 jishao]# virsh iface-list --all
 Name                 State      MAC Address
---------------------------------------------------
 eno1                 active     94:57:a5:c4:82:e7
 eno2                 active     94:57:a5:c4:82:e8

[root@hp-dl120gen9-02 jishao]# virsh iface-dumpxml eno1
<interface type='ethernet' name='eno1'>
  <protocol family='ipv6'>
    <ip address='2620:52:0:1040:9657:a5ff:fec4:82e7' prefix='64'/>
    <ip address='fe80::9657:a5ff:fec4:82e7' prefix='64'/>
  </protocol>
  <link speed='1000' state='up'/>
  <mac address='94:57:a5:c4:82:e7'/>
</interface>

[root@hp-dl120gen9-02 jishao]# cat /etc/sysconfig/network-scripts/ifcfg-eno1
DEVICE="eno1"
ONBOOT="yes"
IPV6INIT="yes"
IPV6_AUTOCONF="yes"
DHCPV6C="no"

[root@hp-dl120gen9-02 jishao]# ifconfig eno1
eno1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 2620:52:0:1040:9657:a5ff:fec4:82e7  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::9657:a5ff:fec4:82e7  prefixlen 64  scopeid 0x20<link>
        ether 94:57:a5:c4:82:e7  txqueuelen 1000  (Ethernet)
        RX packets 758241  bytes 86178943 (82.1 MiB)
        RX errors 0  dropped 7  overruns 0  frame 0
        TX packets 14234  bytes 2011319 (1.9 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device memory 0x92d00000-92dfffff  


6.[root@hp-dl120gen9-02 jishao]# virsh iface-destroy eno1
Interface eno1 destroyed

[root@hp-dl120gen9-02 jishao]# virsh iface-undefine eno1
Interface eno1 undefined


7.[root@hp-dl120gen9-02 jishao]# cat ipv6-dhcp.xml
<interface type='ethernet' name='eno1'>
<start mode='onboot'/>
<protocol family='ipv6'>
<dhcp/>
</protocol>
</interface>


8.[root@hp-dl120gen9-02 jishao]# virsh iface-define ipv6-dhcp.xml
Interface eno1 defined from ipv6-dhcp.xml


9.[root@hp-dl120gen9-02 jishao]# virsh iface-start eno1
[76802.759271] IPv6: ADDRCONF(NETDEV_UP): eno1: link is not ready
[76806.886890] igb 0000:02:00.0 eno1: igb: eno1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[76806.927949] IPv6: ADDRCONF(NETDEV_CHANGE): eno1: link becomes ready
error: Failed to start interface eno1
error: internal error: failed to create (start) interface eno1: failed to execute external program - Running 'ifup eno1' failed with exit code 1:
Determining IPv6 information for eno1... failed.


10.[root@hp-dl120gen9-02 jishao]# virsh iface-list --all
 Name                 State      MAC Address
---------------------------------------------------
 eno1                 active     94:57:a5:c4:82:e7
 eno2                 active     94:57:a5:c4:82:e8


[root@hp-dl120gen9-02 jishao]# virsh  iface-dumpxml eno1
<interface type='ethernet' name='eno1'>
  <protocol family='ipv6'>
    <ip address='fe80::9657:a5ff:fec4:82e7' prefix='64'/>
  </protocol>
  <link speed='1000' state='up'/>
  <mac address='94:57:a5:c4:82:e7'/>
</interface>


[root@hp-dl120gen9-02 jishao]# cat /etc/sysconfig/network-scripts/ifcfg-eno1
DEVICE="eno1"
ONBOOT="yes"
IPV6INIT="yes"
IPV6_AUTOCONF="no"
DHCPV6C="yes"

[root@hp-dl120gen9-02 jishao]# ifconfig eno1
eno1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
inet6 fe80::9657:a5ff:fec4:82e7 prefixlen 64 scopeid 0x20<link> <==== we can get ipv6 address
ether 94:57:a5:c4:82:e7 txqueuelen 1000 (Ethernet)
RX packets 337037 bytes 38323875 (36.5 MiB)
RX errors 0 dropped 7 overruns 0 frame 0
TX packets 4066 bytes 1149306 (1.0 MiB)
TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0
device memory 0x92d00000-92dfffff 


11.[root@hp-dl120gen9-02 jishao]# virsh iface-destroy eno1
error: Failed to destroy interface eno1
error: internal error: failed to destroy (stop) interface eno1: failed to execute external program - Running 'ifdown eno1' failed with exit code 1:



Expected results:
In step 9 should start without failed error
In step 10 should get IPv6 address


Additional info:
N/A
Comment 2 Laine Stump 2016-06-29 13:53:17 EDT
1) what was the contents of ifcfg-en0 before you ran virsh iface-define.

2) Try running "ncftool ifup en0". That may give more complete output of what NetworkManager thought was the problem.
Comment 3 Jingjing Shao 2016-07-07 02:37:30 EDT
(In reply to Laine Stump from comment #2)
> 1) what was the contents of ifcfg-en0 before you ran virsh iface-define.
> 
> 2) Try running "ncftool ifup en0". That may give more complete output of
> what NetworkManager thought was the problem.

1,# cat ifcfg-enp11s0f0
# Generated by dracut initrd
NAME="enp11s0f0"
DEVICE="enp11s0f0"
ONBOOT=yes
NETBOOT=yes
UUID="3e0507c9-3b0f-44fc-aa83-fe870ac91e71"
IPV6INIT=yes
BOOTPROTO=dhcp
TYPE=Ethernet

2,# ncftool ifup enp11s0f0
[492469.891803] bnx2 0000:0b:00.0 enp11s0f0: using MSIX
[492469.896800] IPv6: ADDRCONF(NETDEV_UP): enp11s0f0: link is not ready
[492473.129952] bnx2 0000:0b:00.0 enp11s0f0: NIC Copper Link is Up, 1000 Mbps full duplex
[492473.137872] 
[492473.139538] IPv6: ADDRCONF(NETDEV_CHANGE): enp11s0f0: link becomes ready
Interface enp11s0f0 bring-up failed!
error: failed to execute external program
error: Running 'ifup enp11s0f0' failed with exit code 1: 
Determining IPv6 information for enp11s0f0... failed.

Note You need to log in before you can comment on or make changes to this bug.